<?php

declare(strict_types=1);

use Rector\Config\RectorConfig;
use Rector\Set\ValueObject\SetList;

return RectorConfig::configure()
    ->withPaths([
        __DIR__ . '/.',   // analisa todo o diretório atual (paineladm)
        // ou liste pastas específicas: __DIR__ . '/src', __DIR__ . '/includes'
    ])
    ->withSets([
        SetList::PHP_56,
        SetList::PHP_70,
        SetList::PHP_71,
        SetList::PHP_72,
        SetList::PHP_73,
        SetList::PHP_74,
        SetList::PHP_80,
        SetList::PHP_81,
        SetList::PHP_82,
        SetList::PHP_83,
    ])
    ->withSkip([
        // pule pastas de vendor, cache, etc.
        __DIR__ . '/vendor',
        __DIR__ . '/cache',
    ])
    ->withPhpSets(php83: true);  // opcional: configura nível de PHP
